# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Defines | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Flags.hpp File Reference

Go to the source code of this file.

## Classes

class | vl::Flags< T_FlagEnum >
| Simple class to manage flags in a type safe manner. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Defines

#define | VL_DECLARE_FLAGS(EnumType, FlagTypeName)

## Functions

template<typename T >
Flags< T > | vl::operator| (T flag1, T flag2)
template<typename T >
Flags< T > | vl::operator& (T flag1, T flag2)

## Define Documentation

#define VL_DECLARE_FLAGS | ( |  | EnumType,
|  |  | FlagTypeName
| ) |  |

Value:

    template<EnumType> Flags<EnumType> operator|(EnumType flag1, EnumType flag2); \
      template<EnumType> Flags<EnumType> operator&(EnumType flag1, EnumType flag2); \
      typedef Flags<EnumType> FlagTypeName;

Definition at line 160 of file Flags.hpp.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.